- Qt 5.0
- Qt 5.0.0 Reference Documentation

# OrganizerItem QML Type

The OrganizerItem element represents the in-memory version of a organizer item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- collectionId : string
- description : string
- displayLabel : string
- guid : string
- itemDetails : list<Detail>
- itemId : string
- itemType : enum
- manager : string
- modified : bool

## Signals

- onItemChanged()

## Methods

- clearDetails()
- Detail detail(type)
- list<Detail> details(type)
- void removeDetail(detail)
- save()
- void setDetail(detail)

## Detailed Description

A OrganizerItem has a number of mandatory details. Different subclasses of OrganizerItem (i.e., Event, EventOccurrence, Journal, Todo, TodoOccurrence, Note) may have more mandatory details.

Most frequently-used details can also be accessed through convenient properties, e.g. displayLabel, while all details can be accessed through detail(), details(), saveDetail(), among others.

See also Event, EventOccurrence, Journal, Todo, TodoOccurrence, Note, QOrganizerManager, and QOrganizerItem.

## Property Documentation

collectionId : string

This property holds the id of collection where the item belongs to.

description : string

This property holds the description text of the organizer item.

displayLabel : string

This property holds the display label of the organizer item.

guid : string

This property holds the GUID string of the organizer item.

itemDetails : list<Detail>

This property holds the details of the OrganizerItem object.

itemId : string

This property holds the id of the OrganizerItem object.

itemType : enum

This property holds the type of the OrganizerItem object.

manager : string

This property holds the manager uri which the OrganizerItem object comes from.

modified : bool

This property holds the dirty flag of the OrganizerItem object.

See also save.

## Signal Documentation

onItemChanged()

This signal is emitted, when any of the OrganizerItem's or child element's (like Event, Todo etc) properties have been changed.

Note: The corresponding handler is `onOnItemChanged`.

## Method Documentation

clearDetails()

Removes all details from the organizer item.

See also removeDetail.

Detail detail(type)

Returns the first detail stored in the organizer item with the given type.

See also setDetail() and Detail::type.

list<Detail> details(type)

Returns all the details stored in the organizer item with the given type.

See also Detail::type.

void removeDetail(detail)

Removes given detail from the organizer item.

save()

Saves this OrganizerItem if the item has been modified.

See also modified.

void setDetail(detail)

Saves the given detail in the organizer item, and sets its id.

See also detail().